Debian Security Advisory

DSA-335-1 mantis -- incorrect permissions

Date Reported:
28 Jun 2003
Affected Packages:
Security database references:
In the Bugtraq database (at SecurityFocus): BugTraq ID 8059.
In Mitre's CVE dictionary: CVE-2003-0499.
More information:

mantis, a PHP/MySQL web based bug tracking system, stores the password used to access its database in a configuration file which is world-readable. This could allow a local attacker to read the password and gain read/write access to the database.

For the stable distribution (woody) this problem has been fixed in version 0.17.1-3.

The old stable distribution (potato) does not contain a mantis package.

For the unstable distribution (sid) this problem is fixed in version 0.17.5-6.

We recommend that you update your mantis package.

Fixed in:

Debian GNU/Linux 3.0 (woody)

Architecture-independent component:

MD5 checksums of the listed files are available in the original advisory.